SearchController	=	class.new();

function SearchController:constructor()
	self.validators = {
		getSearch	=	{
			search = 'min-len:2|max-len:10',
		},
	};
end


function SearchController:getIndex(request)
	local searchables = {
		'Red Potion',
		'Blue Potion',
		'Mysterious Potion',
		'Green Potion',
		'Gold',
		'Bandage',
		'Iron Helmet',
		'Iron Shield',
		'Iron Sword',
	};

	function searchItems(name)
		name	=	string.lower(name);
		local results = {};
		for i,v in pairs(searchables) do
			if( string.find(string.lower(v), name) ) then
				table.insert(results, v);
			end
		end
		return results;
	end

	local search	=	request:input('search');
	local results	=	{};
	if( search and string.len(search) ) then
		results		=	searchItems(search);
	else
		results		=	searchables;
	end

	local data = {
		search		=	search,
		results		=	results,
	};
	return View:make('search', data);
end