@extends('template')
@beginsection('pageTitle')
	Configure character
@endsection

@beginsection('content')
	<h1>Configuring character {{ character.name }}</h1>

	<form action="/config/character" method="POST" class="form-horizontal">
		<input type="hidden" name="id" value="{{ character.id }}" />

		<div class="form-group">
			<label for="useHPPotion" class="col-sm-2 control-label">Use HP Potion at:</label>
			<div class="col-sm-2">
				<input type="text" class="form-control" name="useHPPotion" value="{{ character.config.useHPPotion }}">
			</div>
			<div class="col-sm-4">
				(% HP)
			</div>
		</div>

		<div class="form-group">
			<label for="useHPPotion" class="col-sm-2 control-label">Use MP Potion at:</label>
			<div class="col-sm-2">
				<input type="text" class="form-control" name="useMPPotion" value="{{ character.config.useMPPotion }}">
			</div>
			<div class="col-sm-4">
				(% MP)
			</div>
		</div>

		<button type="submit" class="btn btn-primary">Edit Config</button>
	</form>
@endsection