@extends('template')
@beginsection('pageTitle')
	Search Test
@endsection

@beginsection('content')
	<h1>Search</h1>

	<form method="GET" action="/search" class="form-horizontal">
		<div class="form-group">
			<div class="col-sm-4">
				<input type="text" name="search" class="form-control" value="{{ request:oldInput('search', search) }}" placeholder="Search for..." />
			</div>
			<button type="submit" class="btn btn-primary">Search</button>
		</div>
	</form>

	@if( #results > 0 ) {
		<p>{{ #results}} results found.</p>
		<table class="table table-condensed table-striped">
		@foreach(results as index,value) {
			<tr>
				<td>{{ value }}</td>
			</tr>
		}
		</table>
	} else {
		<p>No results found.</p>
	}
@endsection